html {
  scroll-behavior: smooth;
}

.page__body {
  font-weight: 600;
  font-size: 14px;
  line-height: 21px;
  font-family: sans-serif;
}

.container {
  width: 1170px;
  margin: 0 auto;
}

/* PAGE HEADER and NAVIGATION MENU */
.top-scroll {
  background-color: #14b9d5;
  color: #fff;
  font-size: 20px;
  border: none;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  cursor: pointer;

  display: none;
  position: fixed;
  bottom: 100px;
  right: 60px;
}

.main-menu {
  background-color: #313131;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.page-logo {
  padding-left: 27px;
  display: flex;
  align-items: center;
}
.logo {
  display: block;
}
.logo-link {
  font-weight: bold;
  font-size: 22px;
  line-height: 30px;
  color: white;
  margin-left: 27px;
}

.menu-list {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  width: 722px;
  justify-content: space-between;
  align-items: center;
}

.menu-link {
  font-weight: 600;
  font-size: 15px;
  line-height: 20px;
  color: white;
}

.menu-link:hover,
.logo-link:hover {
  color: #14b9d5;
}

.search {
  display: block;
}

.search-btn {
  padding: 26px;
  background-color: #000;
  border: none;
}

/* MAIN */

/* HERO SECTION */

.hero-section {
  background: url(../images/header/headerimg.jpeg);
  background-attachment: fixed;
  background-position: center;
  background-color: #e8c3bd;
  background-size: 100%;
  padding-top: 163px;
  padding-bottom: 74px;
}

.hero-header {
  font-weight: bold;
  font-size: 27px;
  line-height: 37px;
  color: white;
  text-align: center;
  margin: 0;
}

.hero-section--link {
  display: inline-block;
  vertical-align: middle;
  font-weight: 600;
  font-size: 18px;
  line-height: 25px;
  color: white;
  border: none;
  border-radius: 4px;
  padding: 15px 0;
  text-align: center;
  margin-top: 44px;
}

.hero-section--link:hover {
  color: #313131;
}

.hero-section--link:first-child {
  background-color: #89ca62;
  margin-right: 10px;
  padding-left: 19px;
  padding-right: 19px;
}

.hero-section--link:last-child {
  background-color: #14b9d5;
  margin-left: 10px;
  padding-left: 29px;
  padding-right: 29px;
}

.hero-links {
  display: flex;
  justify-content: center;
}

/* MOST POPULAR POSTS */

.section-header {
  font-weight: bold;
  font-size: 27px;
  line-height: 37px;
  text-transform: uppercase;
  color: #18b4cf;
  text-align: center;
  margin-top: 52px;
  margin-bottom: 52px;
}

.popular-posts-list {
  display: flex;
  flex-flow: column wrap;
  max-height: 828px;
  width: 100%;
  list-style-type: none;
  padding-left: 0;
  margin: 0;
  align-content: space-between;
}

.popular-posts-link {
  display: block;
  padding-top: 22px;
  padding-bottom: 22px;
  color: #fff;
  font-weight: bold;
  font-size: 18px;
  line-height: 25px;
  color: #353a3d;
  text-align: center;
}

.popular-posts-link:hover {
  background-color: #18b4cf;
}

.popular-posts-img {
  display: block;
}

/* MOST POPULAR CLIENTS */

.section-popular-clients {
  background: url(../images/most\ popular\ clients/mostpopclients.jpeg);
  background-color: #704c34;
  background-attachment: fixed;
  background-size: cover;
  padding-top: 117px;
  padding-bottom: 183px;
  margin-top: 72px;
}

.header-popular-clients {
  font-weight: bold;
  font-size: 32px;
  line-height: 44px;
  color: white;
  margin: 0;
  text-align: center;
  text-transform: uppercase;
  position: relative;
  margin-bottom: 190px;
}

.header-popular-clients::after {
  content: "";
  display: block;
  width: 60px;
  height: 3px;
  background: #18b4cf;
  position: absolute;
  left: calc(50% - 30px);
  bottom: -87px;
}

.popular-clients-list {
  list-style-type: none;
  display: grid;
  grid-template-columns: repeat(4, auto);
  width: 881px;
  align-items: center;
  justify-items: center;
  margin: 0 auto;
  padding: 0;
  column-gap: 58px;
}

.popular-client-img {
  transition: transform 0.5s ease;
}
.popular-client-img:hover {
  transform: scale(1.2);
}

/* TOP RATED SECTION */

/* .section-header {
THIS CLASS HAS BEEN STYLED ALREADY ABOVE IN THIS STYLESHEET} */

.top-rated-list {
  list-style-type: none;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  margin-bottom: 50px;
  padding: 0;
}

.top-rated-image {
  width: 100%;
}

.show-hide-hotnews {
  display: block;
  margin: 0 auto;

  background-color: #18b4cf;
  font-size: 24px;
  font-weight: 700;
  color: #fff;
  padding: 20px;
  border: none;
  border-radius: 10px;
  cursor: pointer;
}

/* HOT NEWS SECTION */

/* .section-header {
THIS CLASS HAS BEEN STYLED ALREADY ABOVE IN THIS STYLESHEET} */

.hot-news {
  display: none;
}

.hot-news-list {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: repeat(4, 277px);
  grid-auto-rows: minmax(min-content, 259px);
  row-gap: 43px;
  column-gap: 21px;
}

.hot-news-description {
  max-width: 374px;
}

.image-header {
  font-weight: bold;
  font-size: 18px;
  line-height: 25px;
  color: #353a3d;
  margin-top: 15px;
  margin-bottom: 15px;
  text-align: end;
}

.image-text {
  color: #5b6469;
  margin: 0;
  text-align: end;
}

.hot-news-list > .hot-news-item:nth-child(4) .image-header {
  text-align: center;
}

.hot-news-list > .hot-news-item:nth-child(2) .image-header {
  text-align: center;
}

.flex-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.news-item-link {
  display: block;
}
.news-item-link:hover {
  background-color: #18b4cf;
}

.hot-news-image {
  display: block;
}

.hot-news-item {
  background-color: #f9f7f7;
}

.middle-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-auto-rows: min-content;
  column-gap: 62px;
  row-gap: 43px;
  grid-area: 2 / 1 / 3 / -1;
}

.hot-news-list > .hot-news-item:first-child {
  grid-area: 1 / 1 / 2 / 4;
}

.hot-news-list > .hot-news-item:nth-child(2) {
  grid-area: 1 / 4 / 2 / -1;
}

.hot-news-list > .hot-news-item:nth-child(4) {
  grid-area: 3 / 1 / 4 / 2;
}

.hot-news-list > .hot-news-item:last-child {
  grid-area: 3 / 2 / 4 / -1;
}

/* PAGE FOOTER */

.footer {
  background-color: black;
  padding: 30px 0;
  margin-top: 77px;
}

.copyrights {
  font-size: 13px;
  line-height: 13px;
  color: white;
}

.footer-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
}
.footer-logo {
  justify-self: self-end;
  display: flex;
  align-items: start;
}

footer-logo-img {
  display: block;
}

.footer-logo-img:first-child {
  margin-right: 3px;
}
